#### FKME

#### Synopsis

    HELP:   List information, help and documentation of FKME
    TYPE:   OBJECT
    SYNTAX: FKME(LIBRARY='str',FUNCTION='str',HELP,DOCU)

#### Description

Through the object FKME you can define the library and function of an FKME module to get information, help and documentation of the corresponding FLAM Key Management Extension. By default, the 'libfkme' of FLAM is used. If no function name is specified, all known entries of this library are used. This works only for 'libfkme' as we do not know the function names for other libraries.

The function codes for help and documentation might not be implemented by other FKMEs, i.e. these switches are mainly useful with the 'libfkme' from limes datentechnik.

To get FKME info for load modules on mainframes, which must be fetched from STEPLIB, you must type a * for the library name.

#### Examples

     info get.fkme                            # list all info messages
     info get.fkme(lib=*)                     # list info of FKMESTD0 load module
     info get.fkme(lib=* func=FKMESWE0)       # list info of FKMESWE0 load module
     info get.fkme(func=SYMNP11 help)         # list help for function SYMNP11 of libfkme
     info get.fkme(docu)                      # list docu all functions in libfkme

#### Arguments

- `STRING: LIBRARY='str' - Library name [libfkme]`
- `STRING: FUNCTION='str' - Function name (entry)`
- `SWITCH: HELP - Get help message`
- `SWITCH: DOCU - Get documentation`